ApiRangerReplicationArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiRangerReplicationArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRangerReplicationArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiRangerReplicationArgs
      extends Object

  Replication arguments for replicating services defined in Ranger. It works the following way: <ol> <li> EXPORT the given services, policies and roles from the source Ranger, then COPY the exported result to destination, see available arguments in ApiRangerReplicationExportArgs. Note that if #getExportArgs() not provided, then services defined in Ranger won't be replicated, it will be skipped. </li> <li> TRANSFORM the exported services, policies and roles from the source Ranger on the destination, see available arguments in ApiRangerReplicationTransformArgs. Includes arguments for transforming HDFS Ranger service policies to cloud policies. </li> <li> IMPORT the exported and transformed services, policies and roles from source to destination Ranger, see available arguments in ApiRangerReplicationImportArgs </li> <li>For replicating the Ranger HDFS audit logs, there are 2 options: <ul> <li> If #getAuditLogDistCpArgs() is provided then the replication will distributed copy Ranger HDFS audit logs from source HDFS to destination HDFS, see available arguments in ApiHdfsReplicationArguments. If provided, then the mandatory fields are ApiHdfsReplicationArguments#getUserName() (destination user) and ApiHdfsReplicationArguments#getSourceUser() (source user). Any other ApiHdfsReplicationArguments fields could be provided, sourcePath and destinationPath will be set appropriately by CM, when not specified. </li> <li> Alternatively, you can provide #getAuditLogDistCpCloudArgs(), in this case distributed copy for Ranger HDFS audit logs from source HDFS to destination cloud storage, see available arguments in ApiHdfsCloudReplicationArguments. Mandatory fields are ApiHdfsCloudReplicationArguments#getSourceUser() (source user), ApiHdfsCloudReplicationArguments#getDestinationAccount() (destination user) and ApiHdfsCloudReplicationArguments#getDestinationPath(). Any other ApiHdfsCloudReplicationArguments fields could be provided, sourcePath will be set appropriately by CM, when not specified. </li> </ul> </li> </ol> Note that at least one of #getExportArgs(), #getAuditLogDistCpArgs(), #getAuditLogDistCpCloudArgs() must be provided, otherwise the replication would not do anything.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRangerReplicationArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRangerReplicationArgs` | `auditLogDistCpArgs(ApiHdfsReplicationArguments auditLogDistCpArgs)`
    `ApiRangerReplicationArgs` | `auditLogDistCpCloudArgs(ApiHdfsCloudReplicationArguments auditLogDistCpCloudArgs)`
    `boolean` | `equals(Object o)`
    `ApiRangerReplicationArgs` | `exportArgs(ApiRangerReplicationExportArgs exportArgs)`
    `ApiHdfsReplicationArguments` | `getAuditLogDistCpArgs()` Get auditLogDistCpArgs
    `ApiHdfsCloudReplicationArguments` | `getAuditLogDistCpCloudArgs()` Get auditLogDistCpCloudArgs
    `ApiRangerReplicationExportArgs` | `getExportArgs()` Get exportArgs
    `ApiRangerReplicationImportArgs` | `getImportArgs()` Get importArgs
    `ApiServiceRef` | `getSourceRangerService()` Get sourceRangerService
    `ApiRangerReplicationTransformArgs` | `getTransformArgs()` Get transformArgs
    `int` | `hashCode()`
    `ApiRangerReplicationArgs` | `importArgs(ApiRangerReplicationImportArgs importArgs)`
    `void` | `setAuditLogDistCpArgs(ApiHdfsReplicationArguments auditLogDistCpArgs)`
    `void` | `setAuditLogDistCpCloudArgs(ApiHdfsCloudReplicationArguments auditLogDistCpCloudArgs)`
    `void` | `setExportArgs(ApiRangerReplicationExportArgs exportArgs)`
    `void` | `setImportArgs(ApiRangerReplicationImportArgs importArgs)`
    `void` | `setSourceRangerService(ApiServiceRef sourceRangerService)`
    `void` | `setTransformArgs(ApiRangerReplicationTransformArgs transformArgs)`
    `ApiRangerReplicationArgs` | `sourceRangerService(ApiServiceRef sourceRangerService)`
    `String` | `toString()`
    `ApiRangerReplicationArgs` | `transformArgs(ApiRangerReplicationTransformArgs transformArgs)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRangerReplicationArgs

          public ApiRangerReplicationArgs()

  - ### Method Detail

    - #### sourceRangerService

          public ApiRangerReplicationArgs sourceRangerService(ApiServiceRef sourceRangerService)

    - #### getSourceRangerService

          public ApiServiceRef getSourceRangerService()

      Get sourceRangerService
      Returns:
        sourceRangerService

    - #### setSourceRangerService

          public void setSourceRangerService(ApiServiceRef sourceRangerService)

    - #### exportArgs

          public ApiRangerReplicationArgs exportArgs(ApiRangerReplicationExportArgs exportArgs)

    - #### getExportArgs

          public ApiRangerReplicationExportArgs getExportArgs()

      Get exportArgs
      Returns:
        exportArgs

    - #### setExportArgs

          public void setExportArgs(ApiRangerReplicationExportArgs exportArgs)

    - #### transformArgs

          public ApiRangerReplicationArgs transformArgs(ApiRangerReplicationTransformArgs transformArgs)

    - #### getTransformArgs

          public ApiRangerReplicationTransformArgs getTransformArgs()

      Get transformArgs
      Returns:
        transformArgs

    - #### setTransformArgs

          public void setTransformArgs(ApiRangerReplicationTransformArgs transformArgs)

    - #### importArgs

          public ApiRangerReplicationArgs importArgs(ApiRangerReplicationImportArgs importArgs)

    - #### getImportArgs

          public ApiRangerReplicationImportArgs getImportArgs()

      Get importArgs
      Returns:
        importArgs

    - #### setImportArgs

          public void setImportArgs(ApiRangerReplicationImportArgs importArgs)

    - #### auditLogDistCpArgs

          public ApiRangerReplicationArgs auditLogDistCpArgs(ApiHdfsReplicationArguments auditLogDistCpArgs)

    - #### getAuditLogDistCpArgs

          public ApiHdfsReplicationArguments getAuditLogDistCpArgs()

      Get auditLogDistCpArgs
      Returns:
        auditLogDistCpArgs

    - #### setAuditLogDistCpArgs

          public void setAuditLogDistCpArgs(ApiHdfsReplicationArguments auditLogDistCpArgs)

    - #### auditLogDistCpCloudArgs

          public ApiRangerReplicationArgs auditLogDistCpCloudArgs(ApiHdfsCloudReplicationArguments auditLogDistCpCloudArgs)

    - #### getAuditLogDistCpCloudArgs

          public ApiHdfsCloudReplicationArguments getAuditLogDistCpCloudArgs()

      Get auditLogDistCpCloudArgs
      Returns:
        auditLogDistCpCloudArgs

    - #### setAuditLogDistCpCloudArgs

          public void setAuditLogDistCpCloudArgs(ApiHdfsCloudReplicationArguments auditLogDistCpCloudArgs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.